## khtml 5.116.0

=== debian/changelog ===
khtml (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:42:27 +0100

khtml (5.115.0-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libkf5js5t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Apr 2024 19:13:52 +0200

khtml (5.115.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:31:49 +0000

khtml (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:58:51 +0000

khtml (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:59:49 +0000

khtml (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:55:57 -0700

khtml (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:14:36 -0700

khtml (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:52:13 -0700

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.116.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.116.0~),
               libkf5codecs-dev (>= 5.116.0~),
               libkf5globalaccel-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5iconthemes-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5kjs-dev (>= 5.116.0~),
               libkf5notifications-dev (>= 5.116.0~),
               libkf5parts-dev (>= 5.116.0~),
               libkf5sonnet-dev (>= 5.116.0~),
               libkf5textwidgets-dev (>= 5.116.0~),
               libkf5wallet-dev (>= 5.116.0~),
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.116.0~),
               libkf5xmlgui-dev (>= 5.116.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libssl-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.116.0~),
         libkf5globalaccel-dev (>= 5.116.0~),
         libkf5i18n-dev (>= 5.116.0~),
         libkf5iconthemes-dev (>= 5.116.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.116.0~),
         libkf5kjs-dev (>= 5.116.0~),
         libkf5notifications-dev (>= 5.116.0~),
         libkf5parts-dev (>= 5.116.0~),
         libkf5sonnet-dev (>= 5.116.0~),
         libkf5wallet-dev (>= 5.116.0~),
         libkf5widgetsaddons-dev (>= 5.116.0~),
         libkf5windowsystem-dev (>= 5.116.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.116.0+p24.04+vstable+git20250914.1116

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20250914.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 11:16:35 +0000

khtml (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:40:14 +1000

khtml (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:27:03 +0000

khtml (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:20:57 +0000

khtml (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:01:30 +0000

khtml (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:43:22 +0000

khtml (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

khtml (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:25:20 +0000

khtml (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 04:16:00 +0000

khtml (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:08:50 +0000

khtml (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:57:22 +0000

khtml (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:51:05 +0000

khtml (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:25:06 +0000

khtml (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:32:20 +0000

khtml (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:53:41 +0000

khtml (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:55:39 +0000

khtml (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:03:42 +0000

khtml (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:18:56 +0000

khtml (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:26:51 +0000

khtml (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:00:01 +0000

khtml (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:30:12 +0000

khtml (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:08:40 +0000

khtml (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:27:52 +0000

khtml (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:18:30 +0000

khtml (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:24:44 +0000

khtml (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:38 +0000

khtml (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 18:18:05 +0000

khtml (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:23 +0000

khtml (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:02 +0000

khtml (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:26:08 +0000

khtml (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:16:20 +0000

khtml (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:08 +0000

khtml (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:16:24 +0000

khtml (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:53 +0000

khtml (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:14:07 +0000

khtml (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:04:33 +0000

khtml (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:58 +0000

khtml (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:44 +0000

khtml (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:28:33 +0000

khtml (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:19:34 +0000

khtml (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:26:44 +0000

khtml (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:50:47 +0000

khtml (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:40:49 +0000

khtml (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:19:12 +0000

khtml (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:20:31 +0000

khtml (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:04:38 +0000

khtml (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:23:47 +0000

khtml (5.65.0-0neon) bionic; urgency=medium

  * New release



## khtml 5.116.0+p24.04+vstable+git20250922.0431

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20250922.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 04:32:08 +0000

## khtml 5.116.0+p24.04+vstable+git20251015.1204

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20251015.1204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:04:43 +0000

## khtml 5.116.0+p24.04+vstable+git20251020.0333

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KHtml VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)


set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets Network DBus PrintSupport Xml)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

# Most of KJS doesn't even require Qt, thus we can't use override
string(REPLACE "-Wsuggest-override" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5JS ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)

if(NOT WIN32 AND NOT APPLE)
  find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
endif()

set(HAVE_KGLOBALACCEL ${KF5GlobalAccel_FOUND})

ecm_setup_version(PROJECT VARIABLE_PREFIX KHTML
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
                        SOVERSION 5)

find_package(Perl)
set_package_properties(Perl PROPERTIES
                       URL "https://www.perl.org/"
                       TYPE REQUIRED
                       PURPOSE "Required for generating JS bindings for elements"
                      )

if(NOT WIN32 AND NOT APPLE)
  option(WITH_X11 "Build with X11 integration" ON)
  if(WITH_X11)
    find_package(X11 REQUIRED)
    set(HAVE_X11 1)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
  endif()
endif()

find_package(Phonon4Qt5 4.6.60)
set_package_properties(Phonon4Qt5 PROPERTIES
                      DESCRIPTION "Qt Multimedia Library"
                      URL "https://phonon.kde.org/"
                      TYPE REQUIRED
                      PURPOSE "Required for HTML5 multimedia elements"
                     )

find_package(JPEG)
set_package_properties(JPEG PROPERTIES DESCRIPTION "JPEG decoding library"
                       URL "https://www.ijg.org"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying JPEG images"
                      )

find_package(GIF)
set_package_properties(GIF PROPERTIES DESCRIPTION "GIF decoding library"
                       URL "https://sourceforge.net/projects/giflib"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying GIF images"
                      )

find_package(PNG)
set_package_properties(PNG PROPERTIES DESCRIPTION "PNG decoding library"
                       URL "http://www.libpng.org/pub/png"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying PNG images"
                      )

find_package(Gperf REQUIRED)

# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_FOREACH)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
# ideally we would support QT_NO_KEYWORDS, but at least we can do this
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DENABLE_SVG)
add_definitions(-DENABLE_SVG_FONTS)
add_definitions(-DWTF_PLATFORM_QT)

# avoid warning for "this use of "defined" may not be portable" for all the #if PLATFORM(Foo)
set(_flag "-Wno-expansion-to-defined")
check_cxx_compiler_flag(${_flag} _flag_present)
if(_flag_present)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_flag}")
endif()


set(KHTML_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(KHTML_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/src)

add_definitions(-DTRANSLATION_DOMAIN=\"khtml5\")
ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
  add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KHtml")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KHtmlConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KHtmlTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KHtmlTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KHtml COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20251020.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:33:23 +0000

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.51.0~),
               libkf5codecs-dev (>= 5.51.0~),
               libkf5globalaccel-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5kjs-dev (>= 5.51.0~),
               libkf5notifications-dev (>= 5.51.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5sonnet-dev (>= 5.51.0~),
               libkf5textwidgets-dev (>= 5.51.0~),
               libkf5wallet-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.8.0~),
               libssl-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Git: https://invent.kde.org/neon/kde/khtml.git
Vcs-Browser: https://invent.kde.org/neon/kde/khtml
Maintainer: Neon CI <neon@kde.org>

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.51.0~),
         libkf5globalaccel-dev (>= 5.51.0~),
         libkf5i18n-dev (>= 5.51.0~),
         libkf5iconthemes-dev (>= 5.51.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.51.0~),
         libkf5kjs-dev (>= 5.51.0~),
         libkf5notifications-dev (>= 5.51.0~),
         libkf5parts-dev (>= 5.51.0~),
         libkf5sonnet-dev (>= 5.51.0~),
         libkf5wallet-dev (>= 5.51.0~),
         libkf5widgetsaddons-dev (>= 5.51.0~),
         libkf5windowsystem-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.51)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/portingAids/khtml-([\d.]+)\.tar\.xz

## khtml 5.116.0+p24.04+vstable+git20251111.0143

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20251111.0143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 01:43:18 +0000

## khtml 5.116.0+p24.04+vstable+git20251220.0305

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20251220.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:05:30 +0000

## khtml 5.116.0+p24.04+vstable+git20251226.0245

=== debian/changelog ===
khtml (5.116.0+p24.04+vstable+git20251226.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:45:32 +0000

## khtml 5.116.0+p24.04+vunstable+git20251020.1119

=== debian/changelog ===
khtml (5.116.0+p24.04+vunstable+git20251020.1119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:19:33 +0000

## khtml 5.116.0+p24.04+vunstable+git20251111.0019

=== debian/changelog ===
khtml (5.116.0+p24.04+vunstable+git20251111.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 00:19:30 +0000

## khtml 5.116.0+p24.04+vunstable+git20251124.1002

=== debian/changelog ===
khtml (5.116.0+p24.04+vunstable+git20251124.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:03:09 +0000

## khtml 5.116.0+p24.04+vunstable+git20251220.0312

=== debian/changelog ===
khtml (5.116.0+p24.04+vunstable+git20251220.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:12:49 +0000

## khtml 5.116.0+p24.04+vunstable+git20251224.0928

=== debian/changelog ===
khtml (5.116.0+p24.04+vunstable+git20251224.0928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:28:43 +0000
